<?php

use EventPortal\Domain\Event\Form\Models\FormStage;
use EventPortal\Domain\Event\Form\Models\FormStageSection;
use Faker\Generator as Faker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(FormStageSection::class, static function (Faker $faker): array {
    static $count = 0;
    return [
        'name' => $faker->words(3),
        'order' => $count = $count + 1,
        'form_stage_id' => static function (): int {
            return factory(FormStage::class)->create()->id;
        },
    ];
});
