<?php

use EventPortal\Domain\Event\Form\Models\Question;
use EventPortal\Domain\Event\Form\Models\QuestionOption;
use Faker\Generator as Faker;

/** @var \Illuminate\Database\Eloquent\Factory $factory */

$factory->define(QuestionOption::class, static function (Faker $faker): array {
    static $count = 0;
    return [
        'name' => $faker->sentence,
        'order' => $count = $count + 1,
        'question_id' => static function (): int {
            return factory(Question::class)->create()->id;
        },
    ];
});
