<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFormStageSectionsTable extends Migration
{
    public function up(): void
    {
        Schema::create('form_stage_sections', function (Blueprint $table): void {
            $table->increments('id');
            $table->foreignId('form_stage_id');
            $table->string('name');
            $table->integer('order');

            $table->timestamps();
        });
    }
}
