<?php

namespace EventPortal\Domain\Event\Form\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Question
{
    /** @var array<string> */
    protected $fillable = [
        'name',
        'type',
        'help',
        'form_stage_section_id',
        'gdpr_type',
        'order',
    ];

    public function stage(): BelongsTo
    {
        return $this->belongsTo(FormStage::class);
    }
}
