<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateQuestionOptionsTable extends Migration
{
    public function up(): void
    {
        Schema::create('question_options', function (Blueprint $table): void {
            $table->increments('id');
            $table->foreignId('question_id');
            $table->string('name');
            $table->integer('order');

            $table->timestamps();
        });
    }
}
