<?php

namespace EventPortal\Domain\Event\Form\Models;

use EventPortal\Domain\Event\Models\Event;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Form
{
    /** @var array<string> */
    protected $fillable = [
        'name',
        'type',
        'uuid',
        'event_id',
    ];

    public function event(): BelongsTo
    {
        return $this->belongsTo(Event::class);
    }
}
