<?php

namespace EventPortal\Domain\Event\Form\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;

class FormStage
{
    /** @var array<string> */
    protected $fillable = [
        'name',
        'order',
        'form_id',
    ];

    public function form(): BelongsTo
    {
        return $this->belongsTo(Form::class);
    }
}
